com.ihr.xbrl.pojo

## Class XBRLFactExplicitProperty

- java.lang.Object
- - com.ihr.xbrl.pojo.XBRLFactProperty
  - - com.ihr.xbrl.pojo.XBRLFactDimensionalProperty
    - - com.ihr.xbrl.pojo.XBRLFactExplicitProperty

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class XBRLFactExplicitProperty
      extends XBRLFactDimensionalProperty

  This is an extension of an XBRLFactDimensionalProperty

  The extension is adding a QName that contains the explicit dimension value.

  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.pojo.XBRLFactProperty

      `CONTAINER_SCENARIO, CONTAINER_SEGMENT, PROPERTY_TYPE_EXPLICIT, PROPERTY_TYPE_TYPED, PROPERTY_TYPE_XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLFactExplicitProperty()` Instantiates a new XBRL fact explicit property.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getExplicitDimensionValue()` Gets the explicit dimension value.
    `void` | `setExplicitDimensionValue(QName explicitDimensionValue)` Sets the explicit dimension value.

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLFactDimensionalProperty

      `getDimension, setDimension`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLFactProperty

      `equals, getContainer, getContext, getFact, getId, getType, getValue, hashCode, setContainer, setContext, setFact, setHash, setId, setType, setValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLFactExplicitProperty

          public XBRLFactExplicitProperty()

      Instantiates a new XBRL fact explicit property.

  - ### Method Detail

    - #### getExplicitDimensionValue

          public QName getExplicitDimensionValue()

      Gets the explicit dimension value.
      Returns:
        the explicitDimensionValue

    - #### setExplicitDimensionValue

          public void setExplicitDimensionValue(QName explicitDimensionValue)

      Sets the explicit dimension value.
      Parameters:
        `explicitDimensionValue` - the explicitDimensionValue to set